Re: u/int64 support for glib status?

On Wed, 19 Sep 2001, Erik Walthinsen wrote:

> On 19 Sep 2001, Owen Taylor wrote:
> >  - I don't see it as a real pressing API lack compared to other
> >    issues we have.
> Not having int64 support in glib2.0 means that GStreamer will have to ship
> with a patched version of glib2.0, which neither you nor I want.  There is
> simply no way around that.  Without it, glib2.0 cannot be made the basis
> for anything that deals with high-resolution time, or large files.  Seems
> a rather large deal to me.
> Please, someone determine one way or another, finally, whether all targets
> support int64, or it has to be made conditional.  I don't have the
> compilers in question, or I would go find out.

either way, you won't have to ship gstreamer with a patched glib (that's be
a killer for your app btw for any user who uses binary distributions, which
is like --- 98% or something at this point).
i do need 64bit ints for beast as well, so we'll at least have a reserved
fundamental type that user code can introduce 64bit ints handling for.
it'll not be featured by other apps that way though, say glade or GLE.

>       Erik Walthinsen <omega temple-baptist com> - System Administrator
>         __


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]